<section>
  <div class="container-trivia">

    <div class="trivia-loader" *ngIf="loading">
      <div class="splash">
        <div class="spinner">
          <div class="dot1"></div>
          <div class="dot2"></div>
        </div>
      </div>
    </div>

    <h4 class="font-flexo-700">Trivia</h4>

    <div class="container-trivia__steps" *ngIf="step1">

      <div class="container-trivia__step">
        <img src="../../../assets/img/trivia.png" alt="">

        <div class="step-1">
          <h5 class="font-flexo-700">{{question[0]}}</h5>

          <div class="step-1__alternative font-roboto-400" 
          [attr.data-selected]="alternative[i].valor"

          [attr.data-question_id]="alternative[i].question_id" 
          [attr.data-alternative_id]="alternative[i].alternative_id" 
          [attr.data-answer]="alternative[i].answer" 
          id="answer_{{i}}"
            (click)="validate_step1($event, alternative[i].valor)"
            *ngFor="let alternativ of alternative; let i = index">
            {{alternative[i].respuesta}}
          </div>

        </div>

      </div>
    </div>

    <div class="container-trivia__steps" *ngIf="step2">

      <div class="container-trivia__step">
        <img src="../../../assets/img/trivia2.png" alt="">

        <div class="step-1">
          <h5 class="font-flexo-700">{{question2[0]}}</h5>

          <div class="step-1__alternative font-roboto-400" 
          [attr.data-selected]="alternative2[i].valor"

          [attr.data-question_id]="alternative2[i].question_id" 
          [attr.data-alternative_id]="alternative2[i].alternative_id" 
          [attr.data-answer]="alternative2[i].answer" 
            id="answer_{{i}}" (click)="validate_step2($event, alternative2[i].valor)"
            *ngFor="let alternativ of alternative2; let i = index">
            {{alternative2[i].respuesta}}
          </div>

        </div>

      </div>
    </div>

    <div class="container-trivia__steps" *ngIf="step3">

      <div class="container-trivia__step">
        <img src="../../../assets/img/trivia3.png" alt="">

        <div class="step-1">
          <h5 class="font-flexo-700">{{question3[0]}}</h5>

          <div class="step-1__alternative font-roboto-400" 
          [attr.data-selected]="alternative3[i].valor"

          [attr.data-question_id]="alternative3[i].question_id" 
          [attr.data-alternative_id]="alternative3[i].alternative_id"
          [attr.data-answer]="alternative3[i].answer" 
            id="answer_{{i}}" (click)="validate_step3($event, alternative3[i].valor)"
            *ngFor="let alternativ of alternative3; let i = index">
            {{alternative3[i].respuesta}}
          </div>

        </div>

      </div>
    </div>


  </div>
</section>
<!--   -->
<div class="modal-result" id="modal-result">
  <div *ngIf="modal">
    <div class="modal-result__action" (click)="close_modal()">
      <img src="../../../assets/img/close_modal.svg" alt="">
    </div>

    <div class="modal-result__body">
      <h3 [ngClass]="{'font-flexo-700': countResult == '3', 'font-flexo-400' : countResult != '3' }"
        *ngIf="countResult=='3'">¡Felicidades!</h3>
      <h3 [ngClass]="{'font-flexo-400': countResult == '3', 'font-flexo-700' : countResult != '3' }">Acertaste<br>
        {{result}} opciones
      </h3>
      <a class="font-flexo-400" (click)="refresh()">Reiniciar trivia</a>
    </div>

  </div>
</div>
